/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.dto.StockInfoQuery;
import com.tofly.stocks.entity.StockInfo;
import com.tofly.stocks.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 物资库存信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface StockInfoMapper extends BaseMapper<StockInfo> {
    Page<StockInfoVo> getDataByPage(Page page,@Param("qry")StockInfoQuery stockInfoQuery);

    Page<StockInstockVo> getInStoreDataPage(Page page,@Param("stockInfoId") Long stockInfoId);

    Page<StockOutstockVo> getOutStoreDataPage(Page page, @Param("stockInfoId") Long stockInfoId);


    Page<StockDrugUseVo> getDrugUseDataPage(Page page,@Param("stockInfoId")  Long stockInfoId);

    Page<StockTransVo> getTransDataPage(Page page, @Param("stockInfoId")Long stockInfoId);

    Page<StockCheckVo> getCheckDataPage(Page page, @Param("stockInfoId")Long stockInfoId);

    Page<StockHandleVo> getHandleDataPage(Page page, @Param("stockInfoId")Long stockInfoId);
}
